
<% flash.each do |name, msg| %>
  <% if msg.is_a?(String) and msg.length > 0 %>
    <div class="alert alert-<%= name.to_s == 'notice' ? 'success' : 'danger' %>">
        <p><%= raw msg %></p><button class="close">&times;</button>
    </div>
  <% end %>
<% end %>

<script>
$('.close').on('click', function() {
  $(this).parent('.alert').hide();
});

$('.reset').on('click', function() {
  $('.alert').show();
});
</script>